Lookup

In this guide, we'll cover the lookup endpoints, which allows you to retrieve multiple objects by their UUIDs.

There are two POST lookup endpoints available:

  • /api/v1/risks/{risk}/data/lookup: for looking up risk data objects (premises, buildings, vehicles, etc.)
  • /api/v2/risks/lookup: for looking up risk profiles

Both endpoints have the same request and response structure, requiring you to provide a list of objects (object and uuid properties) you want to retrieve, and returning a hydrated list of the corresponding objects. They both allow including related objects.


POST/api/v1/risks/{risk}/data/lookup

Risk data lookup

This endpoint allows you to retrieve multiple risk data objects (premises, buildings, vehicles, etc.) by their UUIDs in a single request. A maximum of 200 objects can be looked up in a single request.

Supports including related objects.

Request for risk data

POST
/api/v1/risks/{risk}/data/lookup
curl -X POST "https://app.wunderite.com/api/v1/risks/{risk}/data/lookup?include=principal_garaging" \ -H "Authorization: Bearer {token}" \ -H "Accept: application/json" -H "Content-Type: application/json" \ -d '{ "data": [ { "object": "vehicle", "uuid": "8f2c9f0b-e0e1-4895-83bd-9c8284d82f8c" },
{ "object": "vehicle", "uuid": "8f2c9f0b-e28e-40aa-8784-59ebebad3227" }, { "object": "vehicle", "uuid": "8f2c9f0b-e3c9-4c68-89df-aa0bad3cf190" }, { "object": "vehicle", "uuid": "8f2c9f0b-e42b-4d15-9914-a808bbce81a8" }, { "object": "vehicle", "uuid": "8f2c9f0b-e528-4b86-b99e-0888532a4a4c" }, { "object": "vehicle", "uuid": "8f2c9f0b-e58b-43ca-8e28-e4b9f51e7118" }, { "object": "vehicle", "uuid": "8f2c9f0b-e65d-4da1-86f1-7d245c10bd00" }, { "object": "vehicle", "uuid": "8f2c9f0b-e6cc-4a54-afed-f1a80229c511" }, { "object": "vehicle", "uuid": "8f2c9f0b-e7fe-431b-a374-c05817cb94da" }, { "object": "vehicle", "uuid": "8f2c9f0b-e8cc-422a-9f7e-81d36bee5642" }, { "object": "vehicle", "uuid": "8f2c9f0b-ea04-4c66-a221-8a117ff2f5ca" }, { "object": "vehicle", "uuid": "8f2c9f0b-dfeb-4e13-a409-e48f41183301" } ] }'

Response

{ "data": [ { "object": "vehicle", "uuid": "8f2c9f0b-e0e1-4895-83bd-9c8284d82f8c", "data": { "owning_entity": null, "number": 2, "make": "NISSAN", "model": "Murano",
"year": 2012, "vin": "JN8AZ1MW0CW217116", "registration": "MYSUBA1", "registration_state": "MA", "cost_new": "37787.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:50:43+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Crossover Utility Vehicle (CUV)", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e28e-40aa-8784-59ebebad3227", "data": { "owning_entity": null, "number": 3, "make": "CHEVROLET", "model": "Silverado", "year": 2009, "vin": "3GCEK233X9G192540", "registration": "MYJEEP", "registration_state": "MA", "cost_new": "37669.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:51:04+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Pickup", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e3c9-4c68-89df-aa0bad3cf190", "data": { "owning_entity": null, "number": 4, "make": "HONDA", "model": "Civic", "year": 2002, "vin": "1HGEM22502L012876", "registration": "MYHONDA", "registration_state": "MA", "cost_new": "25000.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:51:23+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sport Utility Vehicle (SUV)/Multi-Purpose Vehicle (MPV)", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e42b-4d15-9914-a808bbce81a8", "data": { "owning_entity": null, "number": 5, "make": "KIA", "model": "Optima", "year": 2005, "vin": "KNAGD126855383249", "registration": "GABEHONDA", "registration_state": "MA", "cost_new": "30000.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:51:39+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sedan/Saloon", "cab_type": "Not Applicable", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e528-4b86-b99e-0888532a4a4c", "data": { "owning_entity": null, "number": 6, "make": "CHEVROLET", "model": "Silverado", "year": 2011, "vin": "1GCNCPEX2BZ350949", "registration": "MY FORD", "registration_state": "MA", "cost_new": "30000.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:51:56+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Pickup", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e58b-43ca-8e28-e4b9f51e7118", "data": { "owning_entity": null, "number": 7, "make": "ACURA", "model": "MDX", "year": 2011, "vin": "2HNYD2H61BH506652", "registration": "MYFORD", "registration_state": "MA", "cost_new": "87900.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:52:08+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sport Utility Vehicle (SUV)/Multi-Purpose Vehicle (MPV)", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e65d-4da1-86f1-7d245c10bd00", "data": { "owning_entity": null, "number": 8, "make": "HYUNDAI", "model": "Elantra", "year": 2015, "vin": "KMHDH4AEXFU387553", "registration": "1235kj", "registration_state": "MA", "cost_new": "13400.00", "comprehensive_deductible": "1300.00", "collision_deductible": "100.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:52:21+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sedan/Saloon", "cab_type": "Not Applicable", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e6cc-4a54-afed-f1a80229c511", "data": { "owning_entity": null, "number": 9, "make": "GMC", "model": "Sierra", "year": 2008, "vin": "1GTJK33668F130177", "registration": "MEHTES3", "registration_state": "NY", "cost_new": "35000.00", "comprehensive_deductible": "500.00", "collision_deductible": "500.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:52:36+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Pickup", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e7fe-431b-a374-c05817cb94da", "data": { "owning_entity": null, "number": 11, "make": "NISSAN", "model": "Maxima", "year": 2011, "vin": "1N4AA5AP7BC821906", "registration": "919ZR8", "registration_state": "MA", "cost_new": "30810.00", "comprehensive_deductible": "500.00", "collision_deductible": "500.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:52:45+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sedan/Saloon", "cab_type": "Not Applicable", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": null } }, { "object": "vehicle", "uuid": "8f2c9f0b-e8cc-422a-9f7e-81d36bee5642", "data": { "owning_entity": "91519a35-6972-46df-9922-0ae775620c81", "number": 12, "make": "DODGE", "model": "Durango", "year": 2011, "vin": "1D4SD4GT5BC652217", "registration": "210DGE", "registration_state": "MA", "cost_new": "23000.00", "comprehensive_deductible": "500.00", "collision_deductible": "500.00", "vehicle_use": null, "notes": null, "image": "https://wunderite.test/proxy/media/avatar/809c1254-4a82-43c4-8be2-5590ce596270", "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:52:54+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sport Utility Vehicle (SUV)/Multi-Purpose Vehicle (MPV)", "cab_type": "", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": "91519a35-6972-46df-9922-0ae775620c81" } }, { "object": "vehicle", "uuid": "8f2c9f0b-ea04-4c66-a221-8a117ff2f5ca", "data": { "owning_entity": "8f2c9f0a-dc44-4ae6-97cd-8cc206441ec4", "number": 13, "make": "DODGE", "model": "Ram", "year": 2011, "vin": "4V4MC9EH9EN122916", "registration": "VOL1235", "registration_state": "MA", "cost_new": "45000.00", "comprehensive_deductible": "500.00", "collision_deductible": "500.00", "vehicle_use": null, "notes": null, "image": null, "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2023-03-17T12:53:03+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Truck-Tractor", "cab_type": "MDHD: Conventional", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": null, "garage_location": null, "owning_entity": "8f2c9f0a-dc44-4ae6-97cd-8cc206441ec4" } }, { "object": "vehicle", "uuid": "8f2c9f0b-dfeb-4e13-a409-e48f41183301", "data": { "owning_entity": null, "number": 1, "make": "AUDI", "model": "A8", "year": 2018, "vin": "WAU43AFD4JN000433", "registration": "594JKX14", "registration_state": "MA", "cost_new": "112567.00", "comprehensive_deductible": "1000.00", "collision_deductible": "1000.00", "vehicle_use": null, "notes": null, "image": "https://wunderite.test/proxy/media/avatar/3248ffbf-8839-44b7-9f34-39d6364257af", "customer_vehicle_number": null, "body_type": null, "class": null, "symbol_age": null, "purchase_date": null, "is_fleet": null, "seat_capacity": null, "gross_vehicle_weight": null, "gross_combined_weight": null, "horse_power": null, "driver_radius": null, "garage_location": null }, "meta": { "created": "2022-05-27T16:29:05+00:00", "updated": "2026-02-11T17:33:09+00:00", "vin_status": null, "has_vin_data": true, "body_class": "Sedan/Saloon", "cab_type": "Not Applicable", "bus_type": "Not Applicable", "motorcycle_chassis_type": "Not Applicable" }, "relations": { "principal_garaging": { "object": "address", "uuid": "58f48fcc-9361-4d16-8084-cde15cb2d7b1", "data": { "address": "123 William Street", "address2": null, "city": "New York", "state": "NY", "zip": "10038", "county": "New York County", "lat": "40.7091546", "lng": "-74.0069774" }, "meta": { "created": "2026-02-11T17:33:09+00:00", "updated": "2026-02-11T17:33:09+00:00" } }, "garage_location": null, "owning_entity": null } } ] }

POST/api/v2/risks/lookup

Risk profile lookup

This endpoint allows you to retrieve multiple risk profiles by their UUIDs in a single request. A maximum of 200 objects can be looked up in a single request.

Supports including related objects on risk profiles.

  • Name
    data.*.object
    Description

    Must be risk_profile since this endpoint only looks up risk profiles.

  • Name
    data.*.uuid
    Description

    The UUID of the risk profile you want to look up.

Request for risk data

POST
/api/v2/risks/lookup
curl -X POST "https://app.wunderite.com/api/v2/risks/lookup" \ -H "Authorization: Bearer {token}" \ -H "Accept: application/json" -H "Content-Type: application/json" \ -d '{ "data": [ { "object": "risk_profile", "uuid": "790b79e0-9f68-4923-b2de-0fb898e7586d" },
{ "object": "risk_profile", "uuid": "d4039060-a6e2-4cf8-8ee8-8924b7d6c613" }, { "object": "risk_profile", "uuid": "65540f11-36c1-44fb-b407-da9becf6b8e4" }, { "object": "risk_profile", "uuid": "66edc9e0-a056-4f22-bc47-06e81c997458" } ] }'

Response

{ "data": [ { "object": "risk_profile", "uuid": "790b79e0-9f68-4923-b2de-0fb898e7586d", "data": { "name": "John Doe", "segment": "844f3468-ecb3-4da8-a8b2-29c0ec6e3475", "phone": "(323) 452-3321", "phone_ext": null,
"email": "[email protected]", "image": "https://wunderite.test/proxy/media/logo/risk/790b79e0-9f68-4923-b2de-0fb898e7586d" }, "meta": { "created": "2022-05-26T16:30:56+00:00", "updated": "2024-04-17T19:54:27+00:00" }, "profile_type": [ "personal" ] }, { "object": "risk_profile", "uuid": "d4039060-a6e2-4cf8-8ee8-8924b7d6c613", "data": { "name": "Jane Doe", "segment": "844f3468-ecb3-4da8-a8b2-29c0ec6e3475", "phone": null, "phone_ext": null, "email": "[email protected]", "image": "https://wunderite.test/proxy/media/logo/risk/d4039060-a6e2-4cf8-8ee8-8924b7d6c613" }, "meta": { "created": "2022-08-08T13:12:59+00:00", "updated": "2024-04-17T19:54:27+00:00" }, "profile_type": [ "personal" ] }, { "object": "risk_profile", "uuid": "65540f11-36c1-44fb-b407-da9becf6b8e4", "data": { "name": "Ted Lasso", "segment": "844f3468-ecb3-4da8-a8b2-29c0ec6e3475", "phone": "3165648484", "phone_ext": null, "email": "[email protected]", "image": "https://wunderite.test/proxy/media/logo/risk/65540f11-36c1-44fb-b407-da9becf6b8e4" }, "meta": { "created": "2025-02-03T19:21:46+00:00", "updated": "2025-02-04T15:39:00+00:00" }, "profile_type": [ "personal" ] }, { "object": "risk_profile", "uuid": "66edc9e0-a056-4f22-bc47-06e81c997458", "data": { "name": "Acme Anvil Corporation", "segment": "844f3468-ecb3-4da8-a8b2-29c0ec6e3475", "phone": "1-888-123-4567", "phone_ext": null, "website": "http://www.acmeanvils.com", "fax": "1-888-555-4568", "sic_code": "3499", "naics_code": "332999", "description_of_operations": "Acme Anvil is the pinnacle of metal construction, providing full multi-discipline engineering, design, project management, procurement, and construction coordination support services to clients in the U.S. and Canada.", "executive_summary": "Acme Anvil Corp partnered with our organization in 2008 at the height of the recession, buying into our approach to managing risk. Since that time, they have implemented a number of key risk management practices to improve their firm. Notably, in 2008 we immediately reviewed their employee benefits program and workers compensation program.\n\n While management needed to cut costs, we recognized that repetitive injuries were affecting Acme's overall experience. We brought in a consultant to review ergonomics procedures which over time led to elimination of nearly all repetitive and cumulative stress injuries. Additionally, we enhanced the employee benefit program to realign with targeting top talent, which had the added effect of reducing the load of frivolous suits on the workers compensation program.\n\n In 2010 we invested in industry leading heat and humidity sensors throughout the main buildings to further reduce the chance of fire and catastrophic loss. Following tropical storm Sandy, we replaced all the windows in the organization and also invested in two industrial generators, both connected with battery backups and surrounded by concrete to minimize the risk of downtimes.\n\n Additionally, Acme Anvil decided to look into captive programs in 2017 and began putting programs in place to better control their total cost of risk.", "image": "https://wunderite.test/proxy/media/logo/risk/66edc9e0-a056-4f22-bc47-06e81c997458" }, "meta": { "created": "2022-05-26T16:30:57+00:00", "updated": "2026-02-11T13:53:38+00:00" }, "profile_type": [ "commercial" ] } ] }